"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.backgroundColorStyles = void 0;
var _react = require("@emotion/react");
var backgroundColorStyles = exports.backgroundColorStyles = function backgroundColorStyles(colorMode) {
  return (0, _react.css)({
    '.fabric-background-color-mark': {
      backgroundColor: 'var(--custom-palette-color, inherit)'
    },
    'a .fabric-background-color-mark': {
      backgroundColor: 'unset'
    },
    '.fabric-background-color-mark .ak-editor-annotation, .fabric-background-color-mark [data-mark-type="annotation"]': {
      mixBlendMode: colorMode === 'dark' ? 'color-dodge' : 'multiply'
    }
  });
};