import { PureComponent, type ReactNode } from 'react';
import type ProviderFactory from './provider-factory';
import { type ProviderName, type Providers } from './types';
export interface Props {
    providerFactory: ProviderFactory;
    providers: ProviderName[];
    renderNode: (providers: Providers) => ReactNode;
}
export declare class WithProviders extends PureComponent<Props, {
    providers: any;
}> {
    static displayName: string;
    constructor(props: Props);
    UNSAFE_componentWillMount(): void;
    componentWillUnmount(): void;
    handleProvider: (name: string, provider?: Promise<any>) => void;
    render(): ReactNode;
}
