"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tasksAndDecisionsStyles = exports.TaskDecisionSharedCssClassName = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _react = require("@emotion/react");
var _editorSharedStyles = require("@atlaskit/editor-shared-styles");
var _templateObject;
/* eslint-disable @atlaskit/design-system/no-css-tagged-template-expression */
var TaskDecisionSharedCssClassName = exports.TaskDecisionSharedCssClassName = {
  DECISION_CONTAINER: 'decisionItemView-content-wrap',
  TASK_CONTAINER: 'taskItemView-content-wrap',
  TASK_ITEM: 'task-item'
};
var tasksAndDecisionsStyles = exports.tasksAndDecisionsStyles = (0, _react.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n\t.ProseMirror {\n\t\t.taskItemView-content-wrap,\n\t\t.", " {\n\t\t\tposition: relative;\n\t\t\tmin-width: ", "px;\n\t\t}\n\n\t\t.", " {\n\t\t\tmargin-top: 0;\n\t\t}\n\n\t\t.", " {\n\t\t\tspan[contenteditable='false'] {\n\t\t\t\theight: ", "em;\n\t\t\t}\n\t\t}\n\n\t\t.", " {\n\t\t\tline-height: ", ";\n\t\t}\n\t}\n\n\tdiv[data-task-local-id] {\n\t\tspan[contenteditable='false'] {\n\t\t\theight: ", "em;\n\t\t}\n\t\tspan[contenteditable='false'] + div {\n\t\t\tline-height: ", "em;\n\t\t}\n\t}\n\n\tdiv[data-task-list-local-id] {\n\t\tmargin: ", " 0 0 0;\n\t}\n\n\tdiv[data-task-list-local-id] {\n\t\t// If task item is not first in the list then set margin top to 4px.\n\t\tdiv + div {\n\t\t\tmargin-top: ", ";\n\t\t}\n\t}\n\n\t// If task list is not first in the document then set margin top to 4px.\n\tdiv[data-task-list-local-id] div[data-task-list-local-id] {\n\t\tmargin-top: ", ";\n\t\tmargin-left: ", ";\n\t}\n\n\t/* When action list is inside panel */\n\t.ak-editor-panel__content {\n\t\t> div[data-task-list-local-id]:first-child {\n\t\t\tmargin: 0 0 0 0 !important;\n\t\t}\n\t}\n"])), TaskDecisionSharedCssClassName.DECISION_CONTAINER, _editorSharedStyles.akEditorTableCellMinWidth, TaskDecisionSharedCssClassName.DECISION_CONTAINER, TaskDecisionSharedCssClassName.TASK_CONTAINER, _editorSharedStyles.akEditorLineHeight, TaskDecisionSharedCssClassName.TASK_ITEM, _editorSharedStyles.akEditorLineHeight, _editorSharedStyles.akEditorLineHeight, _editorSharedStyles.akEditorLineHeight, "var(--ds-space-150, 12px)", "var(--ds-space-050, 4px)", "var(--ds-space-050, 4px)", "var(--ds-space-300, 24px)");