import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
var _templateObject;
/* eslint-disable @atlaskit/design-system/no-css-tagged-template-expression */
import { css } from '@emotion/react';
import { akEditorLineHeight, akEditorTableCellMinWidth } from '@atlaskit/editor-shared-styles';
export var TaskDecisionSharedCssClassName = {
  DECISION_CONTAINER: 'decisionItemView-content-wrap',
  TASK_CONTAINER: 'taskItemView-content-wrap',
  TASK_ITEM: 'task-item'
};
export var tasksAndDecisionsStyles = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n\t.ProseMirror {\n\t\t.taskItemView-content-wrap,\n\t\t.", " {\n\t\t\tposition: relative;\n\t\t\tmin-width: ", "px;\n\t\t}\n\n\t\t.", " {\n\t\t\tmargin-top: 0;\n\t\t}\n\n\t\t.", " {\n\t\t\tspan[contenteditable='false'] {\n\t\t\t\theight: ", "em;\n\t\t\t}\n\t\t}\n\n\t\t.", " {\n\t\t\tline-height: ", ";\n\t\t}\n\t}\n\n\tdiv[data-task-local-id] {\n\t\tspan[contenteditable='false'] {\n\t\t\theight: ", "em;\n\t\t}\n\t\tspan[contenteditable='false'] + div {\n\t\t\tline-height: ", "em;\n\t\t}\n\t}\n\n\tdiv[data-task-list-local-id] {\n\t\tmargin: ", " 0 0 0;\n\t}\n\n\tdiv[data-task-list-local-id] {\n\t\t// If task item is not first in the list then set margin top to 4px.\n\t\tdiv + div {\n\t\t\tmargin-top: ", ";\n\t\t}\n\t}\n\n\t// If task list is not first in the document then set margin top to 4px.\n\tdiv[data-task-list-local-id] div[data-task-list-local-id] {\n\t\tmargin-top: ", ";\n\t\tmargin-left: ", ";\n\t}\n\n\t/* When action list is inside panel */\n\t.ak-editor-panel__content {\n\t\t> div[data-task-list-local-id]:first-child {\n\t\t\tmargin: 0 0 0 0 !important;\n\t\t}\n\t}\n"])), TaskDecisionSharedCssClassName.DECISION_CONTAINER, akEditorTableCellMinWidth, TaskDecisionSharedCssClassName.DECISION_CONTAINER, TaskDecisionSharedCssClassName.TASK_CONTAINER, akEditorLineHeight, TaskDecisionSharedCssClassName.TASK_ITEM, akEditorLineHeight, akEditorLineHeight, akEditorLineHeight, "var(--ds-space-150, 12px)", "var(--ds-space-050, 4px)", "var(--ds-space-050, 4px)", "var(--ds-space-300, 24px)");